package cn.com.qmth.examcloud.core.questions.base.print;

import java.util.Date;

/**
 * @author chenken
 * @date 2018年3月6日 下午5:39:57
 * @company QMTH
 * @description 课程试卷关联表
 */
public class CoursePaperDto {

    private Long id;
    /**
     * 机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程code
     */
    private String courseCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 试卷ID
     */
    private String paperId;
    /**
     * 试卷名称
     */
    private String paperName;
    /**
     * 试卷P数
     */
    private Integer pNum;
    /**
     * 试卷htmlURL
     */
    private String paperHtmlUrl;
    /**
     * 答案htmlURL
     */
    private String answerHtmlUrl;
    /**
     * 创建时间
     */
    private Date createTime;

    public CoursePaperDto() {
    }

    public CoursePaperDto(Long orgId, Long examId, String courseCode) {
        this.orgId = orgId;
        this.examId = examId;
        this.courseCode = courseCode;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getpNum() {
        return pNum;
    }

    public void setpNum(Integer pNum) {
        this.pNum = pNum;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getPaperHtmlUrl() {
        return paperHtmlUrl;
    }

    public void setPaperHtmlUrl(String paperHtmlUrl) {
        this.paperHtmlUrl = paperHtmlUrl;
    }

    public String getAnswerHtmlUrl() {
        return answerHtmlUrl;
    }

    public void setAnswerHtmlUrl(String answerHtmlUrl) {
        this.answerHtmlUrl = answerHtmlUrl;
    }

}

